@echo off
echo.
if "%1" == "/h" goto syntax
if "%1" == "/?" goto syntax
if not "%1" == "[path]" goto proceed
echo You must substitute [path] with the DOS path to which you want to install the
echo program.
goto end
:syntax
echo Type:
echo.
echo install [path]
echo.
echo at the DOS-prompt to install RECWRITE version 2.2.
echo.
echo If you do not specify a path the default C:\RECWRITE will be assumed.
echo A new directory will be created if necessary.
echo.
echo A full installation requires 750 kilobytes of free disk space.  It is not
echo possible to install the program on a 360K floppy disk.
goto end
:proceed
set V6+=1
ver | find /i "Version 6."
if not errorlevel 1 goto start
ver | find /i "Version 7."
if errorlevel 1 set V6+=
:start
if "%V6+%" == "1" echo.
if "%1" == "" goto default
set RECDIR=%1
goto install
:default
echo Since you did not specify a specific path, RECWRITE version 2.2 will be
if "%V6+%" == "1" goto yesorno
echo installed in the directory C:\RECWRITE.  If you do not want this to
echo happen, hold down CTRL and press C now.
echo.
echo A full installation requires 750 kilobytes of free disk space.  It is not
echo possible to install the program on a 360K floppy disk.
echo.
pause
echo.
set RECDIR=C:\RECWRITE
goto install
:yesorno
echo installed in the directory C:\RECWRITE.  Do you want this to happen?
echo.
choice /n "Yes or No (Y/N)?"
if errorlevel 2 goto end
if not errorlevel 1 goto end
echo.
set RECDIR=C:\RECWRITE
:install
echo RECWRITE version 2.2 will be installed to %RECDIR%
echo.
if exist %RECDIR%nul. goto exclusions
set SLSH=\
if exist %RECDIR%\nul goto exclusions
md %RECDIR%
if not exist %RECDIR%\nul goto end
:exclusions
if not "%V6+%" == "1" goto decompress
echo Which forms of the documentation would you like to install?  If you are
echo installing to a 720K floppy disk there will not be enough space for both
echo forms.
echo.
choice /n /tB,10 /cWAB "Word for Windows 6, ASCII Text or Both (W/A/B)?"
if errorlevel 255 goto end
if errorlevel 2 if not errorlevel 3 set X&1=-xrec*.doc
if errorlevel 1 if not errorlevel 2 set X&1=-xrec*.txt
if not errorlevel 1 goto end
echo.
echo Would you like to install the example records?
echo.
choice /n /tY,10 "Yes or No (Y/N)?"
if errorlevel 255 goto end
if errorlevel 2 set X&2=-xex*.*
if not errorlevel 1 goto end
echo.
:decompress
pkunzip recw_v22.zip %RECDIR% -d -n %X&1% %X&2%
set X&1=
set X&2=
cd %RECDIR%.
if not exist %RECDIR%%SLSH%rec.bat goto makebat
if not "%V6+%" == "1" goto end
echo.
echo There is already a REC.BAT file in the directory %RECDIR%.
echo Do you want to overwrite it with a new copy?
echo.
choice /n "Yes or No (Y/N)?"
if errorlevel 2 goto runnow
if not errorlevel 1 goto end
:makebat
echo.
echo Creating REC.BAT file
echo @echo off > %RECDIR%%SLSH%rec.bat
echo cd %RECDIR%. >> %RECDIR%%SLSH%rec.bat
echo recwrite %%1 %%2 %%3 %%4 >> %RECDIR%%SLSH%rec.bat
echo echo. >> %RECDIR%%SLSH%rec.bat
if not "%V6+%" == "1" goto end
:runnow
echo.
echo Would you like to run RECWRITE version 2.2 immediately?
echo.
choice /n "Yes or No (Y/N)?"
if errorlevel 1 if not errorlevel 2 %RECDIR%%SLSH%recwrite
:end
echo.
echo If you have not already done so, view the README.TXT file by typing:
echo.
echo type readme.txt
echo.
echo at the DOS-prompt.
echo.
set RECDIR=
set V6+=
set SLSH=
